from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String

Compare_Rna_Py_V0_1_0 = CommandToolBuilder(tool="compare_RNA.py", base_command=["compare_RNA.py"], inputs=[ToolInput(tag="in_keep_length_one_stems", input_type=Boolean(optional=True), prefix="--keep-length-one-stems", doc=InputDocumentation(doc="For all input formats except forgi bg/cg files, this\ncontrolls whether stems of length one are dissolved to\nunpaired regions (default) or kept (if this option is\npresent). In the case of input in forgi-format, the\nRNA from the file is not modified.")), ToolInput(tag="in_pseudo_knots", input_type=Boolean(optional=True), prefix="--pseudoknots", doc=InputDocumentation(doc="Allow pseudoknots when extracting the structure from\nPDB files.")), ToolInput(tag="in_chain", input_type=String(optional=True), prefix="--chain", doc=InputDocumentation(doc="When reading pdb-files: Only extract the given chain.")), ToolInput(tag="in_pdb_secondary_structure", input_type=String(optional=True), prefix="--pdb-secondary-structure", doc=InputDocumentation(doc="When reading a single chain from a pdb-files: Enforce\nthe secondary structure given as dotbracket string.\n(This only works, if --chain is given!)")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Show verbose output (Output logged at level\nlogging.INFO)")), ToolInput(tag="in_debug", input_type=Boolean(optional=True), prefix="--debug", doc=InputDocumentation(doc="[DEBUG]       A comma-seperated list of logger names for which debug\noutput will be activated.WARNING: If you misspell the\nlogger name, this argument will be ignored")), ToolInput(tag="in_commaseperated_list_logger", input_type=Boolean(optional=True), prefix="-q", doc=InputDocumentation(doc="[QUIET], --quiet [QUIET]\nA comma-seperated list of logger names for which only\nmessages logged at the level 'CRITICAL' will be\nshown.Use this without arguments if everything should\nbe quiet.")), ToolInput(tag="in_compare_based_adjacency", input_type=Boolean(optional=True), prefix="--acc", doc=InputDocumentation(doc="Compare based on the Adjacency correlation coefficient")), ToolInput(tag="in_pdb_rmsd", input_type=Boolean(optional=True), prefix="--pdb-rmsd", doc=InputDocumentation(doc="Compare based on PDB-RMSD")), ToolInput(tag="in_rna", input_type=String(), position=0, doc=InputDocumentation(doc="2 files containing one RNA each. Supported Filetypes\nare: pdb files, forgi cg files")), ToolInput(tag="in__rmsd_compare", input_type=String(), position=0, doc=InputDocumentation(doc="--rmsd                Compare based on CG-RMSD"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Compare_Rna_Py_V0_1_0().translate("wdl", allow_empty_container=True)

